View Issue Details

IDProjectCategoryView StatusLast Update
0000230WackoWikiadministrationpublic2011-06-24 11:04
ReporterTann San Assigned Toadministrator  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version4.2 
Target Version5.0.betaFixed in Version5.0.beta 
Summary0000230: Administrative Interface
DescriptionWe get rid of the config file altogether and move all the config data into SQL. We then create an admin interface that can be used to alter all the settings. An admin interface for Wacko is long overdue.
Additional Informationhttp://wackowiki.org/Dev/NewFeatures/AdminPanel
TagsAdmin panel

Relationships

related to 0000389 resolvedadministrator cache merged primary and secondary config 
parent of 0000045 resolvedadministrator delete old revisions of a page 
parent of 0000174 resolvedadministrator System message 
parent of 0000039 resolvedadministrator Manage user accounts online 
parent of 0000117 resolvedadministrator GUI interface to define user groups 
parent of 0000056 resolvedadministrator Configurable date and time formats 
parent of 0000151 resolvedTann San rename wakka.config.php to config.inc.php 
parent of 0000131 new Configure text editor toolbar through web interface 
related to 0000310 resolvedadministrator log events into a system journal 
related to 0000252 resolvedadministrator implement a remove selected/all comments action for a page 
child of 0000315 resolvedadministrator Minimize config file 
Not all the children of this issue are yet resolved or closed.

Activities

administrator

2009-12-09 12:35

administrator   ~0000731

Last edited: 2010-08-07 16:58

View 3 revisions

commited initial version with rev893

added only the base modules ()

ToDo:
1) a) native English -> b) localisation
2) move config values in config table - DONE
3) fixing SQL for Update config table - DONE
4) add form fields for some missing config values like Captcha
5) ...

administrator

2011-02-16 11:22

administrator   ~0000783

Last edited: 2011-06-24 09:38

View 2 revisions

TODO (create new issues for):
- cache merged config - DONE
- native English
- localisation

Issue History

Date Modified Username Field Change
2008-09-21 15:56 Tann San New Issue
2008-09-21 15:56 Tann San Legacy => NEW
2008-09-21 15:56 Tann San Relationship added parent of 0000045
2008-09-21 15:57 Tann San Relationship added parent of 0000174
2008-09-21 15:57 Tann San Relationship added parent of 0000039
2008-09-21 15:57 Tann San Relationship added parent of 0000117
2008-09-21 15:57 Tann San Relationship added parent of 0000223
2008-09-21 16:08 Tann San Relationship added parent of 0000056
2008-09-21 16:08 Tann San Relationship added parent of 0000151
2008-09-21 16:10 Tann San Relationship added parent of 0000131
2009-07-02 10:23 administrator Status new => acknowledged
2009-07-12 13:15 administrator Relationship added related to 0000310
2009-07-15 11:34 administrator Relationship added related to 0000252
2009-08-22 20:45 administrator Relationship added child of 0000315
2009-08-22 20:56 administrator Additional Information Updated View Revisions
2009-08-22 20:57 administrator Target Version => 5.4.0
2009-12-09 12:35 administrator Note Added: 0000731
2009-12-09 12:35 administrator Note Edited: 0000731 View Revisions
2010-03-08 10:09 administrator Category Administration => administration
2010-08-07 16:58 administrator Note Edited: 0000731 View Revisions
2011-02-16 11:20 administrator Assigned To => administrator
2011-02-16 11:20 administrator Status acknowledged => resolved
2011-02-16 11:20 administrator Resolution open => fixed
2011-02-16 11:20 administrator Fixed in Version => 5.0.beta
2011-02-16 11:20 administrator Target Version 5.4.0 => 5.0.beta
2011-02-16 11:22 administrator Note Added: 0000783
2011-05-31 21:24 administrator Build => R5.0.beta
2011-06-20 08:28 administrator Tag Attached: Admin panel
2011-06-20 08:29 administrator Relationship deleted parent of 0000223
2011-06-24 09:38 administrator Note Edited: 0000783 View Revisions
2011-06-24 11:04 administrator Relationship added related to 0000389